﻿#language: ru

@cost_price

Функционал: 09_cost_price.02.005 Расчет сырьевой себестоимости

Сценарий: 09_cost_price.02.005 Расчет СС за первую часть выпусков
	Дано Я переключаюсь на открытый клиент "Ответственный за себестоимость"
	И В командном интерфейсе я выбираю 'Производство' 'Расчет сырьевой себестоимости'
	Тогда открылось окно 'Расчет сырьевой себестоимости'
	И я устанавливаю флаг с именем 'ОтборПоПериоду'
	И я нажимаю кнопку выбора у поля с именем "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '01.07.2020'
	И в поле 'DateEnd' я ввожу текст '30.07.2020'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Расчет сырьевой себестоимости'
	И я нажимаю на кнопку 'Рассчитать'
	Затем я жду, что в сообщениях пользователю будет подстрока "документов расчета успешно сформировано" в течение 20 секунд
	И Я закрываю окно 'Расчет сырьевой себестоимости'
	И В командном интерфейсе я выбираю 'Производство' 'Расчеты сырьевой себестоимости'
	Тогда открылось окно 'Расчеты сырьевой себестоимости'
	И я жду, что в таблице "Список" количество строк будет "равно" 2 в течение 10 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Рабочий центр' | 'Смена'   | 'Способ создания'                              |
		| '22.07.2020' | 'ПАЦ'           | 'Смена24' | 'Автоматический расчет сырьевой себестоимости' |
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Рабочий центр' | 'Смена'   | 'Способ создания'                              |
		| '22.07.2020' | 'Сырцех'        | 'Смена24' | 'Автоматический расчет сырьевой себестоимости' |
	И Я закрываю окно 'Расчеты сырьевой себестоимости'

Сценарий: 09_cost_price.02.005 Расчет без ограничения на период
	И В командном интерфейсе я выбираю 'Производство' 'Расчет сырьевой себестоимости'
	Тогда открылось окно 'Расчет сырьевой себестоимости'
	И я снимаю флаг с именем 'ОтборПоПериоду'
	И я нажимаю на кнопку 'Рассчитать'
	Затем я жду, что в сообщениях пользователю будет подстрока "документов расчета успешно сформировано" в течение 20 секунд
	И Я закрываю окно 'Расчет сырьевой себестоимости'
	И В командном интерфейсе я выбираю 'Производство' 'Расчеты сырьевой себестоимости'
	Тогда открылось окно 'Расчеты сырьевой себестоимости'
	И я жду, что в таблице "Список" количество строк будет "равно" 3 в течение 10 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Рабочий центр' | 'Смена'   | 'Способ создания'                              |
		| '15.04.2021' | 'Сырцех'        | 'Смена24' | 'Автоматический расчет сырьевой себестоимости' |
	И Я закрываю окно 'Расчеты сырьевой себестоимости'

Сценарий: 09_cost_price.02.005 Расчет с ограничением на РЦ и все партии
	И В командном интерфейсе я выбираю 'Производство' 'Расчет сырьевой себестоимости'
	Тогда открылось окно 'Расчет сырьевой себестоимости'
	И я устанавливаю флаг с именем 'ОтборПоРабочимЦентрам'
	И я нажимаю кнопку выбора у поля с именем "РабочиеЦентры"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита с именем "Value"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И в таблице "ValueList" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'OK'
	Тогда открылось окно 'Расчет сырьевой себестоимости'
	И я снимаю флаг с именем 'ТолькоЗарегистрированныеПартии'
	И я нажимаю на кнопку с именем 'ФормаРассчитать'
	Затем я жду, что в сообщениях пользователю будет подстрока "документов расчета успешно сформировано" в течение 20 секунд
	И Я закрываю окно 'Расчет сырьевой себестоимости'
	И В командном интерфейсе я выбираю 'Производство' 'Расчеты сырьевой себестоимости'
	Тогда открылось окно 'Расчеты сырьевой себестоимости'
	И в таблице "Список" я перехожу к строке:
		| 'Рабочий центр' | 'Смена'   | 'Способ создания'                              |
		| 'Сырцех'        | 'Смена24' | 'Автоматический расчет сырьевой себестоимости' |
	И в таблице "Список" я активизирую поле "Рабочий центр"		 
	И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюПоискПоТекущемуЗначению' на элементе формы с именем "Список"
	И я жду, что в таблице "Список" количество строк будет "равно" 4 в течение 10 секунд
	И Я закрываю окно 'Расчеты сырьевой себестоимости'